class AuthorsController < ApplicationController
  before_filter :authenticate_author!, :only => [:index, :show]
  before_filter :authenticate_admin!, :only => [:list, :browse]

  def index
    @authors = Author.all

    respond_to do |format|
      format.html # index.html.erb
    end
  end

  def show
    @author = Author.find(params[:id])

    respond_to do |format|
      format.html
    end
  end

  def list
    @authors = Author.all

    respond_to do |format|
      format.html { render layout: 'system' }
    end
  end

  def browse
    @author = Author.find(params[:id])

    respond_to do |format|
      format.html { render layout: 'system' }
    end
  end
  
end
