class BalloonsController < ApplicationController
  before_filter :authenticate_author!, :only => [:index, :show]
  before_filter :authenticate_admin!, :only => [:list, :browse]
  
  # GET /balloons
  # GET /balloons.json
  def index
    @balloons = Balloon.all

    respond_to do |format|
      format.html # index.html.erb
      format.json { render json: @balloons }
    end
  end

  def list
    @balloons = Balloon.all

    respond_to do |format|
      format.html { render layout: 'system' }
      format.json { render json: @balloons }
    end
  end
end
