class LisencesController < ApplicationController
  before_filter :authenticate_author!, :only => [:index, :show]
  before_filter :authenticate_admin!, :only => [:list, :browse]

  # GET /lisences
  # GET /lisences.json
  def index
    @lisences = Lisence.all

    respond_to do |format|
      format.html # index.html.erb
      format.json { render json: @lisences }
    end
  end

  # GET /lisences/1
  # GET /lisences/1.json
  def show
    @lisence = Lisence.find(params[:id])
    if @lisence.common_lisence
      redirect_to :controller => 'common_lisences', :action => :browse, :id => @lisence.common_lisence.id
    else
      redirect_to :controller => 'original_lisences', :action => :browse, :id => @lisence.original_lisence.id
    end
  end

  def list
    @lisences = Lisence.all

    respond_to do |format|
      format.html { render layout: 'system' }
      format.json { render json: @lisences }
    end
  end

  def browse
    @lisence = Lisence.find(params[:id])

    respond_to do |format|
      format.html { render layout: 'system' }
      format.json { render json: @lisence }
    end
  end
end
