class SpeachTemplatesController < ApplicationController
  before_filter :authenticate_author!, :only => [:index, :show]
  before_filter :authenticate_admin!, :only => [:list, :browse]

  # GET /speach_templates
  # GET /speach_templates.json
  def index
    @speach_templates = SpeachTemplate.all

    respond_to do |format|
      format.html # index.html.erb
      format.json { render json: @speach_templates }
    end
  end

  def list
    @speach_templates = SpeachTemplate.all

    respond_to do |format|
      format.html { render layout: 'system' }
      format.json { render json: @speach_templates }
    end
  end

end
