class Comic < ActiveRecord::Base
  has_many :panels, :dependent => :destroy
  belongs_to :author

  def own? author
    return false unless author
    self.author_id == author.id
  end
  
  def disp_editable
    editable == 1 ? 'O' : 'X'
  end
  
  def disp_visible
    visible == 1 ? 'O' : 'X'
  end
  
end
