class PanelPicture < ActiveRecord::Base
  belongs_to :panel
  belongs_to :resource_picture
  
  def flip
    res = (self.flipv == 0 ? '' : 'v') + (self.fliph == 0 ? '' : 'h')
    res += '/' unless res.empty?
    res
  end
  
  def filename
    flip + self.resource_picture.filename
  end
  
  def url
    '/resource_pictures/' + filename
  end
  
end
