class DeviseCreateAuthors < ActiveRecord::Migration
  def change
    create_table(:authors) do |t|
      t.string :name
      t.database_authenticatable :null => false
      t.recoverable
      t.rememberable
      t.trackable
      t.token_authenticatable
      t.confirmable

      # t.encryptable
      # t.lockable :lock_strategy => :failed_attempts, :unlock_strategy => :both


      t.timestamps
    end

    add_index :authors, :email,                :unique => true
    add_index :authors, :reset_password_token, :unique => true
    add_index :authors, :confirmation_token,   :unique => true
    # add_index :authors, :unlock_token,         :unique => true
    add_index :authors, :authentication_token, :unique => true
  end

end
