require "spec_helper"

describe BaloonTypesController do
  describe "routing" do

    it "routes to #index" do
      get("/baloon_types").should route_to("baloon_types#index")
    end

    it "routes to #new" do
      get("/baloon_types/new").should route_to("baloon_types#new")
    end

    it "routes to #show" do
      get("/baloon_types/1").should route_to("baloon_types#show", :id => "1")
    end

    it "routes to #edit" do
      get("/baloon_types/1/edit").should route_to("baloon_types#edit", :id => "1")
    end

    it "routes to #create" do
      post("/baloon_types").should route_to("baloon_types#create")
    end

    it "routes to #update" do
      put("/baloon_types/1").should route_to("baloon_types#update", :id => "1")
    end

    it "routes to #destroy" do
      delete("/baloon_types/1").should route_to("baloon_types#destroy", :id => "1")
    end

  end
end
