require "spec_helper"

describe CommonLisencesController do
  describe "routing" do

    it "routes to #index" do
      get("/common_lisences").should route_to("common_lisences#index")
    end

    it "routes to #new" do
      get("/common_lisences/new").should route_to("common_lisences#new")
    end

    it "routes to #show" do
      get("/common_lisences/1").should route_to("common_lisences#show", :id => "1")
    end

    it "routes to #edit" do
      get("/common_lisences/1/edit").should route_to("common_lisences#edit", :id => "1")
    end

    it "routes to #create" do
      post("/common_lisences").should route_to("common_lisences#create")
    end

    it "routes to #update" do
      put("/common_lisences/1").should route_to("common_lisences#update", :id => "1")
    end

    it "routes to #destroy" do
      delete("/common_lisences/1").should route_to("common_lisences#destroy", :id => "1")
    end

  end
end
