require "spec_helper"

describe OriginalPicturesController do
  describe "routing" do

    it "routes to #index" do
      get("/original_pictures").should route_to("original_pictures#index")
    end

    it "routes to #new" do
      get("/original_pictures/new").should route_to("original_pictures#new")
    end

    it "routes to #show" do
      get("/original_pictures/1").should route_to("original_pictures#show", :id => "1")
    end

    it "routes to #edit" do
      get("/original_pictures/1/edit").should route_to("original_pictures#edit", :id => "1")
    end

    it "routes to #create" do
      post("/original_pictures").should route_to("original_pictures#create")
    end

    it "routes to #update" do
      put("/original_pictures/1").should route_to("original_pictures#update", :id => "1")
    end

    it "routes to #destroy" do
      delete("/original_pictures/1").should route_to("original_pictures#destroy", :id => "1")
    end

  end
end
