class ApplicationController < ActionController::Base
  protect_from_forgery
  before_filter :bf
  
  def bf
    if Admin.count.to_i == 0
      if params[:controller] == 'system' and params[:action] == 'start'
      else
        redirect_to :controller => '/system', :action => 'start'
      end
    else
      if author_signed_in?
        @artist = if current_author.artist?
          current_author.artist
        else
          Artist.new author_id: current_author.id, email: current_author.email, name: current_author.name
        end
      end
    end
  end
  
end
