class SpeachesController < ApplicationController
  before_filter :authenticate_author!, :only => [:index, :show]
  before_filter :authenticate_admin!, :only => [:list, :browse]

  # GET /speaches
  # GET /speaches.json
  def index
    @speaches = Speach.all

    respond_to do |format|
      format.html # index.html.erb
      format.json { render json: @speaches }
    end
  end

  def list
    @speaches = Speach.all

    respond_to do |format|
      format.html { render layout: 'system' }
      format.json { render json: @speaches }
    end
  end
end
