class CreateComics < ActiveRecord::Migration
  def change
    create_table :comics do |t|
      t.string :title
      t.integer :width, :null => false, :default => 200
      t.integer :height, :null => false, :default => 80
      t.integer :visible, :null => false, :default => 0
      t.integer :editable, :null => false, :default => 0
      t.integer :author_id

      t.timestamps
    end
    add_index :comics, [:author_id]
  end
end
