require "spec_helper"

describe LisencesController do
  describe "routing" do

    it "routes to #index" do
      get("/lisences").should route_to("lisences#index")
    end

    it "routes to #new" do
      get("/lisences/new").should route_to("lisences#new")
    end

    it "routes to #show" do
      get("/lisences/1").should route_to("lisences#show", :id => "1")
    end

    it "routes to #edit" do
      get("/lisences/1/edit").should route_to("lisences#edit", :id => "1")
    end

    it "routes to #create" do
      post("/lisences").should route_to("lisences#create")
    end

    it "routes to #update" do
      put("/lisences/1").should route_to("lisences#update", :id => "1")
    end

    it "routes to #destroy" do
      delete("/lisences/1").should route_to("lisences#destroy", :id => "1")
    end

  end
end
