require "spec_helper"

describe OriginalLisencesController do
  describe "routing" do

    it "routes to #index" do
      get("/original_lisences").should route_to("original_lisences#index")
    end

    it "routes to #new" do
      get("/original_lisences/new").should route_to("original_lisences#new")
    end

    it "routes to #show" do
      get("/original_lisences/1").should route_to("original_lisences#show", :id => "1")
    end

    it "routes to #edit" do
      get("/original_lisences/1/edit").should route_to("original_lisences#edit", :id => "1")
    end

    it "routes to #create" do
      post("/original_lisences").should route_to("original_lisences#create")
    end

    it "routes to #update" do
      put("/original_lisences/1").should route_to("original_lisences#update", :id => "1")
    end

    it "routes to #destroy" do
      delete("/original_lisences/1").should route_to("original_lisences#destroy", :id => "1")
    end

  end
end
